# $Id: Shaders.pro,v 1.5 2007/12/06 16:38:49 gascuel Exp $
#-----------------------------------------------------------------------------
# Add syntax checking rules for MSVC or unix build environments.
#-----------------------------------------------------------------------------

GLSL_SOURCES +=                             \
    Shaders/phong_vertex.glsl               \
    Shaders/phong_geometry.glsl             \
    Shaders/phong_fragment.glsl             \
                                            \
    Shaders/cube_map_layers_geometry.glsl   \
                                            \
    Shaders/common_vertex.glsl              \
                                            \
    Shaders/sphereTris_geometry.glsl        \
    Shaders/sphereBox_geometry.glsl         \
    Shaders/sphere_fragment.glsl            \
                                            \
    Shaders/parabolTris_geometry.glsl       \
    Shaders/parabolBox_geometry.glsl        \
    Shaders/parabol_fragment.glsl           \
                                            \
    Shaders/lambertTris_geometry.glsl       \
    Shaders/lambert_fragment.glsl           \
                                            \
    Shaders/lensBox_geometry.glsl           \
    Shaders/lens_fragment.glsl       

#-----------------------------------------------------------------------------
# Should be included *AFTER* definind GLSL_SOURCES...
!include( glsl_rules.pri ): error( Unable to get glsl.pri )
