# $Id: glslc.pro,v 1.4 2006/12/06 10:30:14 gascuel Exp $
#-----------------------------------------------------------------------------
# Make sure we do have a Qt 4.x.x version at hand :
#-----------------------------------------------------------------------------
isEmpty(QT) : error(Qt4 is mandatory for this application)
!exists( $$(QTDIR)/include/QtCore ): error(QTDIR not set to Qt4 directory)

TARGET   = glslc
TEMPLATE = app
CONFIG   *= console flat qt debug warn_on
CONFIG   -= release debug_and_release app_bundle
QT       *= opengl

!include( glew.pri )      : error( Unable to get GLEW )

SOURCES += glslc.cpp

#-----------------------------------------------------------------------------
# Some cleanups

win32 {
    debug   : OBJECTS_DIR = Debug/Obj/
    release : OBJECTS_DIR = Release/Obj/
    MOC_DIR = Generated/
     UI_DIR = Generated/
}
unix {
    debug   : OBJECTS_DIR = .debug/Obj/
    release : OBJECTS_DIR = .release/Obj/
    MOC_DIR = .generated/
     UI_DIR = .generated/
}
